<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:40:32 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
Uses of Class org.apache.http.client.protocol.HttpClientContext (HttpComponents Client 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class org.apache.http.client.protocol.HttpClientContext (HttpComponents Client 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/client/protocol//class-useHttpClientContext.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="HttpClientContext.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>org.apache.http.client.protocol.HttpClientContext</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.client.cache"><B>org.apache.http.client.cache</B></A></TD>
<TD>
This package consists largely of constants and interfaces that are
necessary for building new storage backends for the
<A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpClient.html" title="class in org.apache.http.impl.client.cache"><CODE>CachingHttpClient</CODE></A> or for
those clients wanting to get a little more behavioral information
out of the cache module (for example, whether a particular response
was a cache hit or not).&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.client.protocol"><B>org.apache.http.client.protocol</B></A></TD>
<TD>Additional request and response interceptors for HTTP state and
authentication management.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.client.cache"><B>org.apache.http.impl.client.cache</B></A></TD>
<TD>
This package contains a cache module that can be used for HTTP/1.1
client-side caching.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.execchain"><B>org.apache.http.impl.execchain</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.client.cache"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A> in <A HREF="../../../../../../org/apache/http/client/cache/package-summary.html">org.apache.http.client.cache</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Subclasses of <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A> in <A HREF="../../../../../../org/apache/http/client/cache/package-summary.html">org.apache.http.client.cache</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/client/cache/HttpCacheContext.html" title="class in org.apache.http.client.cache">HttpCacheContext</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.client.protocol"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A> in <A HREF="../../../../../../org/apache/http/client/protocol/package-summary.html">org.apache.http.client.protocol</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../org/apache/http/client/protocol/package-summary.html">org.apache.http.client.protocol</A> that return <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A></CODE></FONT></TD>
<TD><CODE><B>HttpClientContext.</B><B><A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html#adapt(org.apache.http.protocol.HttpContext)">adapt</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A></CODE></FONT></TD>
<TD><CODE><B>HttpClientContext.</B><B><A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html#create()">create</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.client.cache"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A> in <A HREF="../../../../../../org/apache/http/impl/client/cache/package-summary.html">org.apache.http.impl.client.cache</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../org/apache/http/impl/client/cache/package-summary.html">org.apache.http.impl.client.cache</A> with parameters of type <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/client/methods/CloseableHttpResponse.html" title="interface in org.apache.http.client.methods">CloseableHttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>CachingExec.</B><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingExec.html#execute(org.apache.http.conn.routing.HttpRoute, org.apache.http.client.methods.HttpRequestWrapper, org.apache.http.client.protocol.HttpClientContext)">execute</A></B>(<A HREF="../../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpRequestWrapper.html" title="class in org.apache.http.client.methods">HttpRequestWrapper</A>&nbsp;request,
        <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/client/methods/CloseableHttpResponse.html" title="interface in org.apache.http.client.methods">CloseableHttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>CachingExec.</B><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingExec.html#execute(org.apache.http.conn.routing.HttpRoute, org.apache.http.client.methods.HttpRequestWrapper, org.apache.http.client.protocol.HttpClientContext, org.apache.http.client.methods.HttpExecutionAware)">execute</A></B>(<A HREF="../../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpRequestWrapper.html" title="class in org.apache.http.client.methods">HttpRequestWrapper</A>&nbsp;request,
        <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A>&nbsp;context,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpExecutionAware.html" title="interface in org.apache.http.client.methods">HttpExecutionAware</A>&nbsp;execAware)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.execchain"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A> in <A HREF="../../../../../../org/apache/http/impl/execchain/package-summary.html">org.apache.http.impl.execchain</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../org/apache/http/impl/execchain/package-summary.html">org.apache.http.impl.execchain</A> with parameters of type <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/client/methods/CloseableHttpResponse.html" title="interface in org.apache.http.client.methods">CloseableHttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>ClientExecChain.</B><B><A HREF="../../../../../../org/apache/http/impl/execchain/ClientExecChain.html#execute(org.apache.http.conn.routing.HttpRoute, org.apache.http.client.methods.HttpRequestWrapper, org.apache.http.client.protocol.HttpClientContext, org.apache.http.client.methods.HttpExecutionAware)">execute</A></B>(<A HREF="../../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpRequestWrapper.html" title="class in org.apache.http.client.methods">HttpRequestWrapper</A>&nbsp;request,
        <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A>&nbsp;clientContext,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpExecutionAware.html" title="interface in org.apache.http.client.methods">HttpExecutionAware</A>&nbsp;execAware)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/client/methods/CloseableHttpResponse.html" title="interface in org.apache.http.client.methods">CloseableHttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>RedirectExec.</B><B><A HREF="../../../../../../org/apache/http/impl/execchain/RedirectExec.html#execute(org.apache.http.conn.routing.HttpRoute, org.apache.http.client.methods.HttpRequestWrapper, org.apache.http.client.protocol.HttpClientContext, org.apache.http.client.methods.HttpExecutionAware)">execute</A></B>(<A HREF="../../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpRequestWrapper.html" title="class in org.apache.http.client.methods">HttpRequestWrapper</A>&nbsp;request,
        <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A>&nbsp;context,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpExecutionAware.html" title="interface in org.apache.http.client.methods">HttpExecutionAware</A>&nbsp;execAware)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/client/methods/CloseableHttpResponse.html" title="interface in org.apache.http.client.methods">CloseableHttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>ServiceUnavailableRetryExec.</B><B><A HREF="../../../../../../org/apache/http/impl/execchain/ServiceUnavailableRetryExec.html#execute(org.apache.http.conn.routing.HttpRoute, org.apache.http.client.methods.HttpRequestWrapper, org.apache.http.client.protocol.HttpClientContext, org.apache.http.client.methods.HttpExecutionAware)">execute</A></B>(<A HREF="../../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpRequestWrapper.html" title="class in org.apache.http.client.methods">HttpRequestWrapper</A>&nbsp;request,
        <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A>&nbsp;context,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpExecutionAware.html" title="interface in org.apache.http.client.methods">HttpExecutionAware</A>&nbsp;execAware)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/client/methods/CloseableHttpResponse.html" title="interface in org.apache.http.client.methods">CloseableHttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>MainClientExec.</B><B><A HREF="../../../../../../org/apache/http/impl/execchain/MainClientExec.html#execute(org.apache.http.conn.routing.HttpRoute, org.apache.http.client.methods.HttpRequestWrapper, org.apache.http.client.protocol.HttpClientContext, org.apache.http.client.methods.HttpExecutionAware)">execute</A></B>(<A HREF="../../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpRequestWrapper.html" title="class in org.apache.http.client.methods">HttpRequestWrapper</A>&nbsp;request,
        <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A>&nbsp;context,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpExecutionAware.html" title="interface in org.apache.http.client.methods">HttpExecutionAware</A>&nbsp;execAware)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/client/methods/CloseableHttpResponse.html" title="interface in org.apache.http.client.methods">CloseableHttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>BackoffStrategyExec.</B><B><A HREF="../../../../../../org/apache/http/impl/execchain/BackoffStrategyExec.html#execute(org.apache.http.conn.routing.HttpRoute, org.apache.http.client.methods.HttpRequestWrapper, org.apache.http.client.protocol.HttpClientContext, org.apache.http.client.methods.HttpExecutionAware)">execute</A></B>(<A HREF="../../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpRequestWrapper.html" title="class in org.apache.http.client.methods">HttpRequestWrapper</A>&nbsp;request,
        <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A>&nbsp;context,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpExecutionAware.html" title="interface in org.apache.http.client.methods">HttpExecutionAware</A>&nbsp;execAware)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/client/methods/CloseableHttpResponse.html" title="interface in org.apache.http.client.methods">CloseableHttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>ProtocolExec.</B><B><A HREF="../../../../../../org/apache/http/impl/execchain/ProtocolExec.html#execute(org.apache.http.conn.routing.HttpRoute, org.apache.http.client.methods.HttpRequestWrapper, org.apache.http.client.protocol.HttpClientContext, org.apache.http.client.methods.HttpExecutionAware)">execute</A></B>(<A HREF="../../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpRequestWrapper.html" title="class in org.apache.http.client.methods">HttpRequestWrapper</A>&nbsp;request,
        <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A>&nbsp;context,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpExecutionAware.html" title="interface in org.apache.http.client.methods">HttpExecutionAware</A>&nbsp;execAware)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/client/methods/CloseableHttpResponse.html" title="interface in org.apache.http.client.methods">CloseableHttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>RetryExec.</B><B><A HREF="../../../../../../org/apache/http/impl/execchain/RetryExec.html#execute(org.apache.http.conn.routing.HttpRoute, org.apache.http.client.methods.HttpRequestWrapper, org.apache.http.client.protocol.HttpClientContext, org.apache.http.client.methods.HttpExecutionAware)">execute</A></B>(<A HREF="../../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpRequestWrapper.html" title="class in org.apache.http.client.methods">HttpRequestWrapper</A>&nbsp;request,
        <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A>&nbsp;context,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpExecutionAware.html" title="interface in org.apache.http.client.methods">HttpExecutionAware</A>&nbsp;execAware)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/client/methods/CloseableHttpResponse.html" title="interface in org.apache.http.client.methods">CloseableHttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>MinimalClientExec.</B><B><A HREF="../../../../../../org/apache/http/impl/execchain/MinimalClientExec.html#execute(org.apache.http.conn.routing.HttpRoute, org.apache.http.client.methods.HttpRequestWrapper, org.apache.http.client.protocol.HttpClientContext, org.apache.http.client.methods.HttpExecutionAware)">execute</A></B>(<A HREF="../../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpRequestWrapper.html" title="class in org.apache.http.client.methods">HttpRequestWrapper</A>&nbsp;request,
        <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol">HttpClientContext</A>&nbsp;context,
        <A HREF="../../../../../../org/apache/http/client/methods/HttpExecutionAware.html" title="interface in org.apache.http.client.methods">HttpExecutionAware</A>&nbsp;execAware)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../org/apache/http/client/protocol/HttpClientContext.html" title="class in org.apache.http.client.protocol"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/client/protocol//class-useHttpClientContext.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="HttpClientContext.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
